
Figure - Bug #117801
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.gallery3d（4）
2023-05-08 11:02 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画版本）

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-10

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 600000

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.gallery3d (pid 14434)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'int android.graphics.Rect.width()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.NullPointerException: Attempt to invoke virtual method 'int android.graphics.Rect.width()' on a null object reference

//     at com.android.gallery3d.filtershow.imageshow.PrimaryImage.setImageShowSize(PrimaryImage.java:559)

//     at com.android.gallery3d.filtershow.imageshow.ImageShow.onDraw(ImageShow.java:260)

//     at android.view.View.draw(View.java:22649)

//     at android.view.View.updateDisplayListIfDirty(View.java:21524)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)
//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ViewGroup.recreateChildDisplayList(ViewGroup.java:4512)

//     at android.view.ViewGroup.dispatchGetDisplayList(ViewGroup.java:4485)

//     at android.view.View.updateDisplayListIfDirty(View.java:21480)

//     at android.view.ThreadedRenderer.updateViewTreeDisplayList(ThreadedRenderer.java:534)

//     at android.view.ThreadedRenderer.updateRootDisplayList(ThreadedRenderer.java:540)

//     at android.view.ThreadedRenderer.draw(ThreadedRenderer.java:616)

//     at android.view.ViewRootImpl.draw(ViewRootImpl.java:4441)

//     at android.view.ViewRootImpl.performDraw(ViewRootImpl.java:4169)

//     at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:3329)

//     at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:2146)

//     at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:8676)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:859)

//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-08 13:59 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808

#2 - 2023-05-08 14:32 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-05-08 14:58 - CD TEST-方永红

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.5带开机动画版本） to

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画版本）

#4 - 2023-05-09 16:14 - IoT scm

Gerrit Merge Information：
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808


ID Project Branch Uploader

198631 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Gallery2: Fix monkey crash for NPETC-RID: 0301-0300701IssueID: TS-R-BUG-117801Change-Id: I4c0beb65e858871a58b68c882065a37eb1b7f7f3

#5 - 2023-05-09 16:16 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-10

- Root cause set to AOSP问题

■ Current conclusion

问题已解决，待验证

■ My analysis

AOSP原生问题，空指针需判断

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/198631

#6 - 2023-05-12 18:00 - CD TEST-方永红

5.12

0099版本未复现

#7 - 2023-05-15 10:55 - CD TEST-方永红

5.15

13DB未复现

#8 - 2023-05-16 14:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.16

15日DB未复现

先关闭

#9 - 2023-05-16 14:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 34.2 MB 2023-05-08 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/198631

